Loading...
Searching...
No Matches
cayley.hpp File Reference

Functions for back-and-forth transformation between rotation matrices and Cayley-parameters. More...

`#include <stdlib.h>`
`#include <opengv/types.hpp>`

Go to the source code of this file.

## Namespaces

namespace | opengv
| The namespace of this library.
namespace | opengv::math
| The namespace of the math tools.

## Functions

rotation_t | opengv::math::cayley2rot (const cayley_t &cayley)
| Compute a rotation matrix from Cayley-parameters, following [14].
rotation_t | opengv::math::cayley2rot_reduced (const cayley_t &cayley)
| Compute a fake rotation matrix from Cayley-parameters, following [14]. The rotation matrix is missing the scaling parameter of the Cayley-transform. This short form is useful for the Jacobian-based iterative rotation optimization of the eigensolver [11].
cayley_t | opengv::math::rot2cayley (const rotation_t &R)
| Compute the Cayley-parameters of a rotation matrix, following [14].

## Detailed Description

Functions for back-and-forth transformation between rotation matrices and Cayley-parameters.